The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / ntp / S49ntp
1 #! /bin/sh
2
3 NAME=ntpd
4 DAEMON=/usr/sbin/$NAME
5
6 # Gracefully exit if the package has been removed.
7 test -x $DAEMON || exit 0
8
9 # Read config file if it is present.
10 if [ -r /etc/default/$NAME ]
11 then
12   . /etc/default/$NAME
13 fi
14
15 case "$1" in
16   start)
17     echo -n "Starting $NAME: "
18     start-stop-daemon -S -q -x $DAEMON -- -g
19     [ $? = 0 ] && echo "OK" || echo "FAIL"
20     ;;
21   stop)
22     echo -n "Stopping $NAME: "
23     start-stop-daemon -K -q -n $NAME
24     [ $? = 0 ] && echo "OK" || echo "FAIL"
25     ;;
26   restart|reload)
27     echo "Restarting $NAME: "
28     $0 stop
29     sleep 1
30     $0 start
31     ;;
32   *)
33     echo "Usage: $0 {start|stop|restart|reload}" >&2
34     exit 1
35     ;;
36 esac
37
38 exit 0